curl --request GET \
--url https://default.ulm.stg.m1amdocs.io/storefront/v1/externalBilling/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://default.ulm.stg.m1amdocs.io/storefront/v1/externalBilling/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://default.ulm.stg.m1amdocs.io/storefront/v1/externalBilling/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://default.ulm.stg.m1amdocs.io/storefront/v1/externalBilling/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://default.ulm.stg.m1amdocs.io/storefront/v1/externalBilling/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://default.ulm.stg.m1amdocs.io/storefront/v1/externalBilling/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://default.ulm.stg.m1amdocs.io/storefront/v1/externalBilling/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"cspContext": "<string>",
"partnerOrganizationCode": "<string>",
"partnerTransactionId": "<string>",
"chargedDate": "<string>",
"currency": "<string>",
"amount": "<string>",
"status": "<string>",
"cspErrorCode": "<string>",
"statusCode": "<string>",
"accountId": "<string>",
"accountEntityId": "<string>",
"metadata": {},
"items": [
{
"code": "<string>",
"tax_classification": "<string>",
"total": 123,
"name": "<string>",
"price": 123,
"quantity": 123,
"metadata": {}
}
],
"billing_descriptor": "<string>",
"original_billing_date": "<string>"
}
]{
"code": "authentication-required",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Get All Transactions associated to an account
Get All Transactions for an account.
curl --request GET \
--url https://default.ulm.stg.m1amdocs.io/storefront/v1/externalBilling/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://default.ulm.stg.m1amdocs.io/storefront/v1/externalBilling/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://default.ulm.stg.m1amdocs.io/storefront/v1/externalBilling/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://default.ulm.stg.m1amdocs.io/storefront/v1/externalBilling/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://default.ulm.stg.m1amdocs.io/storefront/v1/externalBilling/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://default.ulm.stg.m1amdocs.io/storefront/v1/externalBilling/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://default.ulm.stg.m1amdocs.io/storefront/v1/externalBilling/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"cspContext": "<string>",
"partnerOrganizationCode": "<string>",
"partnerTransactionId": "<string>",
"chargedDate": "<string>",
"currency": "<string>",
"amount": "<string>",
"status": "<string>",
"cspErrorCode": "<string>",
"statusCode": "<string>",
"accountId": "<string>",
"accountEntityId": "<string>",
"metadata": {},
"items": [
{
"code": "<string>",
"tax_classification": "<string>",
"total": 123,
"name": "<string>",
"price": 123,
"quantity": 123,
"metadata": {}
}
],
"billing_descriptor": "<string>",
"original_billing_date": "<string>"
}
]{
"code": "authentication-required",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Authorizations
OAuth 2.0 Authentication
Query Parameters
the account id
Response
OK - Transaction information successfully retrieved
- Option 1
- Option 2
The Unique PLM Transaction ID
External BSS payment description
25536External partner payment identifier
255Date the payment transaction is charged
The currency of the amount
^[A-Z]{3}$The amount to be charged to the end customer
Status of the transaction once processed
20Error code from CSP
The status code
Account ID
A set of key/value pairs that you can attach to an object. Useful for exchanging additional information.
Show child attributes
Show child attributes
The array of Transaction Items belonging to this transaction. Items correspond to the charges.There will be 2 separate items - One for the actual amount and other for tax amount.
Show child attributes
Show child attributes
Optional "soft descriptor" to send to the CSP for this transaction.
The original scheduled billing date associated with the billing for which this transaction collects funds. For an initial attempt, this is the same as the transaction date; for a retry transaction this is the original attempt date.
Was this page helpful?

